STRNLEN_USER(9)

NAME
strnlen_user - Get the size of a string in user space.

SYNOPSIS

long strnlen_user (const char __user * s, long n);

ARGUMENTS

s   The string to measure.

n   The maximum valid length

DESCRIPTION

Get the size of a NUL-terminated string in user space.

Returns the size of the string INCLUDING the terminating NUL. On exception, returns 0. If the string is too long, returns a value greater than n.